Bug 208921 - Dolphin Qt-dbus random crashes (Nepomuk integration?)
Summary: Dolphin Qt-dbus random crashes (Nepomuk integration?)
Status: RESOLVED UPSTREAM
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 16.12.2
Platform: Unlisted Binaries Linux
: NOR crash with 30 votes (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
: 205252 205490 209400 209525 209603 209820 211163 211203 211358 211421 211951 212111 212198 212280 212449 212548 212628 212667 212712 212746 212872 212946 213364 213379 213574 213635 213699 213981 214065 214138 214199 214305 214516 214642 214710 214771 214844 214936 215011 215013 215125 215168 215187 215535 215635 215998 216008 216026 216959 216969 217078 217372 217407 217415 217445 217605 217659 217868 217985 218044 218196 218403 218404 218591 218636 218828 218909 219007 219076 219200 219223 219763 220346 220893 221127 221176 221189 222290 222533 222801 222894 222914 223020 223333 223646 223853 224083 225545 225565 225762 226018 226725 234537 235100 235183 241224 243336 246135 246453 246665 248068 248534 248696 248795 249482 250704 252287 256871 258132 258450 273370 273400 274443 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-09-30 00:34 UTC by Zsombor
Modified: 2011-09-22 12:14 UTC (History)
47 users (show)

See Also:
Latest Commit:
Version Fixed In: DBus 1.3.1 and later (1.4.0)


Attachments
Remove storage service availability check (2.38 KB, patch)
2009-12-10 18:15 UTC, Sebastian Trueg
Details
New crash information added by DrKonqi (3.22 KB, text/plain)
2010-08-26 06:33 UTC, Adam Shrader
Details
New crash information added by DrKonqi (2.89 KB, text/plain)
2010-09-02 00:53 UTC, Valentin Rusu
Details
New crash information added by DrKonqi (13.50 KB, text/plain)
2010-09-21 12:42 UTC, Neill Mitchell
Details
New crash information added by DrKonqi (2.73 KB, text/plain)
2010-09-29 03:17 UTC, Andrey Shelyapin
Details
New crash information added by DrKonqi (2.24 KB, text/plain)
2010-11-21 17:06 UTC, kranthi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zsombor 2009-09-30 00:34:55 UTC
Application that crashed: dolphin
Version of the application: 1.3
KDE Version: 4.3.1 (KDE 4.3.1)
Qt Version: 4.5.2
Operating System: Linux 2.6.28-gentoo-r5 x86_64
Distribution: "Gentoo Base System release 2.0.0"

 -- Backtrace:
Application: Dolphin (dolphin), signal: Segmentation fault
[Current thread is 0 (LWP 8630)]

Thread 3 (Thread 0x7f342a3c9950 (LWP 14918)):
#0  0x00007f3436d12c0d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f342953fefe in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007f3436d0e067 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f34359753fd in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f341abae950 (LWP 14932)):
#0  0x00007f3436d11940 in __pthread_mutex_unlock_usercnt () from /lib64/libpthread.so.0
#1  0x00007f3432ceb6d1 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#2  0x00007f3432ceb7f8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f3437021470 in QEventDispatcherGlib::processEvents () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007f34370049c1 in QEventLoop::processEvents () from /usr/lib64/qt4/libQtCore.so.4
#5  0x00007f3437004c18 in QEventLoop::exec () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007f3436f781cc in QThread::exec () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007f342978e38b in Phonon::Xine::XineThread::run () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#8  0x00007f3436f79bdc in QThreadPrivate::start () from /usr/lib64/qt4/libQtCore.so.4
#9  0x00007f3436d0e067 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f34359753fd in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f343a158760 (LWP 8630)):
[KCrash Handler]
#5  0x00007f3436f76f5b in QMutex::lock () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007f343730102b in mutex_lock () from /usr/lib64/qt4/libQtDBus.so.4
#7  0x00007f3431343ee7 in _dbus_connection_lock () from /usr/lib/libdbus-1.so.3
#8  0x00007f3431351365 in _dbus_pending_call_get_connection_and_lock () from /usr/lib/libdbus-1.so.3
#9  0x00007f343134763f in reply_handler_timeout () from /usr/lib/libdbus-1.so.3
#10 0x00007f34372ef8a8 in QDBusConnectionPrivate::timerEvent () from /usr/lib64/qt4/libQtDBus.so.4
#11 0x00007f3437013422 in QObject::event () from /usr/lib64/qt4/libQtCore.so.4
#12 0x00007f3436536221 in QApplicationPrivate::notify_helper () from /usr/lib64/qt4/libQtGui.so.4
#13 0x00007f3436537f17 in QApplication::notify () from /usr/lib64/qt4/libQtGui.so.4
#14 0x00007f3437d334ec in KApplication::notify () from /usr/lib64/libkdeui.so.5
#15 0x00007f3437005786 in QCoreApplication::notifyInternal () from /usr/lib64/qt4/libQtCore.so.4
#16 0x00007f3437008204 in QCoreApplication::sendEvent () from /usr/lib64/qt4/libQtCore.so.4
#17 0x00007f3437022312 in QTimerInfoList::activateTimers () from /usr/lib64/qt4/libQtCore.so.4
#18 0x00007f3437020bab in timerSourceDispatch () from /usr/lib64/qt4/libQtCore.so.4
#19 0x00007f3432ce9a11 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#20 0x00007f3432ceb732 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#21 0x00007f3432ceb7f8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#22 0x00007f3437021470 in QEventDispatcherGlib::processEvents () from /usr/lib64/qt4/libQtCore.so.4
#23 0x00007f343659a3f2 in QGuiEventDispatcherGlib::processEvents () from /usr/lib64/qt4/libQtGui.so.4
#24 0x00007f34370049c1 in QEventLoop::processEvents () from /usr/lib64/qt4/libQtCore.so.4
#25 0x00007f3437004c18 in QEventLoop::exec () from /usr/lib64/qt4/libQtCore.so.4
#26 0x00007f343700627b in QCoreApplication::exec () from /usr/lib64/qt4/libQtCore.so.4
#27 0x0000000000432781 in main ()

This bug may be a duplicate of or related to bug 195988

Reported using DrKonqi
Comment 1 Dario Andres 2009-09-30 16:30:19 UTC
Seems like a Qt/Dbus upstream issue. And it was spontaneus and it is probably not-reproduceable at will, I'm going to close it as UPSTREAM. Regards
Comment 2 Dario Andres 2009-10-04 17:40:29 UTC
*** Bug 205252 has been marked as a duplicate of this bug. ***
Comment 3 Dario Andres 2009-10-04 17:40:31 UTC
*** Bug 209400 has been marked as a duplicate of this bug. ***
Comment 4 Dario Andres 2009-10-08 23:27:45 UTC
*** Bug 209525 has been marked as a duplicate of this bug. ***
Comment 5 Dario Andres 2009-10-08 23:27:46 UTC
*** Bug 209820 has been marked as a duplicate of this bug. ***
Comment 6 Dario Andres 2009-10-10 15:27:46 UTC
*** Bug 210063 has been marked as a duplicate of this bug. ***
Comment 7 Dario Andres 2009-10-16 17:31:43 UTC
@Sebastian and Peter: just to check, could this issue be related with Nepomuk integration? (so far this Qt-dbus crash only affected Dolphin, and I don't recall about other component which could use dbus...)
Regards
Comment 8 bp10001 2009-10-20 14:52:30 UTC
I reported bug 210788 which was resolved as a duplicate of 205252 which turns out to be a duplicate of this one. Dolphin was crashing all of the time. Sometimes in a matter of seconds, other times after a few minutes. This renders dophin practically unusable. It seems more often with remote protocols like fish or smb. Having read the above post I disabled Nepomuk and voila - the crashes are all gone. I don't use nepomuk anyway and a terminal could be just as useful for me but Nepomuk comes enabled by default and this could be quite frustrating especially for a new user.
Comment 9 Dario Andres 2009-10-21 03:12:28 UTC
Bug 205490 could also be related to this, there are some other random crashes like bug 211203.

Reopening until we determine what is the real cause of this
Comment 10 Dario Andres 2009-10-21 03:13:02 UTC
*** Bug 211203 has been marked as a duplicate of this bug. ***
Comment 11 Dario Andres 2009-10-21 03:14:05 UTC
*** Bug 205490 has been marked as a duplicate of this bug. ***
Comment 12 Dario Andres 2009-10-21 15:23:27 UTC
Note that bug 205490 contains a lot of duplicates too...
Comment 13 Dario Andres 2009-10-21 15:23:29 UTC
*** Bug 211163 has been marked as a duplicate of this bug. ***
Comment 14 Dario Andres 2009-10-21 19:31:20 UTC
*** Bug 211358 has been marked as a duplicate of this bug. ***
Comment 15 Dario Andres 2009-10-22 15:02:43 UTC
Bug 211421 got another Qt-dbus backtrace but it is a bit different....
Comment 16 Frank Reininghaus 2009-10-28 09:21:05 UTC
The Kubuntu bug report
https://bugs.launchpad.net/ubuntu/+source/kdebase/+bug/446539
has a better backtrace:

Thread 1 (process 2218):
#0  _dbus_connection_lock (connection=0x0) at dbus-connection.c:355
No locals.
#1  0x025d16b5 in _dbus_pending_call_get_connection_and_lock (
    pending=0x8794fe8) at dbus-pending-call.c:307
No locals.
#2  0x025c2555 in reply_handler_timeout (data=0x8794fe8)
    at dbus-connection.c:3156
	connection = <value optimized out>
	status = <value optimized out>
#3  0x025d64b2 in dbus_timeout_handle (timeout=0x8795168)
    at dbus-timeout.c:473
No locals.
#4  0x004ed2b5 in QDBusConnectionPrivate::timerEvent (this=0x8464350, 
    e=0xbfaf1860) at ./qdbus_symbols_p.h:172
	timeout = (DBusTimeout *) 0x8795168
#5  0x070133bf in QObject::event (this=0x8464350, e=0xbfaf1860)
    at kernel/qobject.cpp:1075
No locals.
#6  0x03086f54 in QApplicationPrivate::notify_helper (this=0x846be58, 
    receiver=0x8464350, e=0xbfaf1860) at kernel/qapplication.cpp:4056
	consumed = <value optimized out>
#7  0x0308e67c in QApplication::notify (this=0xbfaf1bcc, receiver=0x8464350, 
    e=0xbfaf1860) at kernel/qapplication.cpp:3603
	res = true
#8  0x01015bba in KApplication::notify (this=0xbfaf1bcc, receiver=0x8464350, 
    event=0xbfaf1860) at ../../kdeui/kernel/kapplication.cpp:302
No locals.
#9  0x070036cb in QCoreApplication::notifyInternal (this=0xbfaf1bcc, 
    receiver=0x8464350, event=0xbfaf1860) at kernel/qcoreapplication.cpp:610
	result = false
	cbdata = {0x8464350, 0xbfaf1860, 0xbfaf17ef}
	threadData = (QThreadData *) 0x844de48
	returnValue = <value optimized out>
#10 0x070307ce in QTimerInfoList::activateTimers (this=0x8473834)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
	e = {<QEvent> = {_vptr.QEvent = 0x70f4738, d = 0x0, t = 1, 
    posted = 0, spont = 0, m_accept = 1, reserved = 6133}, id = 23}
	firstTime = <value optimized out>
	n_act = 1
	saveFirstTimerInfo = (QTimerInfo *) 0x0
	saveCurrentTimerInfo = (QTimerInfo *) 0x0


[...]
Comment 17 Dario Andres 2009-10-28 17:46:49 UTC
*** Bug 211951 has been marked as a duplicate of this bug. ***
Comment 18 Antonio 2009-10-29 12:47:42 UTC
*** Bug 212198 has been marked as a duplicate of this bug. ***
Comment 19 Dario Andres 2009-10-29 13:53:18 UTC
*** Bug 212280 has been marked as a duplicate of this bug. ***
Comment 20 Dario Andres 2009-11-01 16:31:57 UTC
*** Bug 212628 has been marked as a duplicate of this bug. ***
Comment 21 Dario Andres 2009-11-01 22:22:48 UTC
*** Bug 212667 has been marked as a duplicate of this bug. ***
Comment 22 Frank Reininghaus 2009-11-02 10:40:19 UTC
*** Bug 212712 has been marked as a duplicate of this bug. ***
Comment 23 Dario Andres 2009-11-03 22:14:10 UTC
*** Bug 212946 has been marked as a duplicate of this bug. ***
Comment 24 Dario Andres 2009-11-03 22:20:41 UTC
*** Bug 212872 has been marked as a duplicate of this bug. ***
Comment 25 Dario Andres 2009-11-06 13:53:05 UTC
*** Bug 213379 has been marked as a duplicate of this bug. ***
Comment 26 Dario Andres 2009-11-06 13:53:06 UTC
*** Bug 213364 has been marked as a duplicate of this bug. ***
Comment 27 Unknown 2009-11-06 14:08:36 UTC
> - Does the application crash again if you repeat the situation you described ?
> *** This bug has been marked as a duplicate of bug 208921 ***

Yes. I had this crash (a least two times) on the same directory on my other computer, but it's without debug. After copying the files I tried to repeat the crash on the "debug computer", with backtrace submited in bug 213379.
Comment 28 root 2009-11-08 18:11:53 UTC
Dolphin just crashed two times in a row. About 5 seconds after I opened a video file (in VLC). The third time it didn't, because I killed Nepomuk. Unfortunately there is no dbus debug package in debian, but maybe this can help you anyway.

Application that crashed: dolphin
Version of the application: 1.3
KDE Version: 4.3.2 (KDE 4.3.2)
Qt Version: 4.5.3
Operating System: Linux 2.6.30-2-amd64 x86_64
Distribution: Debian GNU/Linux testing (squeeze)

 -- Backtrace:
Application: Dolphin (dolphin), signal: Segmentation fault
The current source language is "auto; currently c".
[Current thread is 1 (Thread 0x7f4d5a32f750 (LWP 25678))]

Thread 2 (Thread 0x7f4d4ab32910 (LWP 25699)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x00007f4d49226c91 in metronom_sync_loop (this=0x7f4d44097480) at metronom.c:870
#2  0x00007f4d52ab573a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f4d566cd2fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f4d5a32f750 (LWP 25678)):
[KCrash Handler]
#5  0x00007f4d50877244 in ?? () from /lib/libdbus-1.so.3
#6  0x00007f4d50888bcd in ?? () from /lib/libdbus-1.so.3
#7  0x00007f4d5087b8bf in ?? () from /lib/libdbus-1.so.3
#8  0x00007f4d57cd6884 in q_dbus_timeout_handle (this=0x99c0e0, e=<value optimized out>) at ./qdbus_symbols_p.h:172
#9  QDBusConnectionPrivate::timerEvent (this=0x99c0e0, e=<value optimized out>) at qdbusintegrator.cpp:1023
#10 0x00007f4d56dc6353 in QObject::event (this=0x99c0e0, e=0x0) at kernel/qobject.cpp:1074
#11 0x00007f4d5728501d in QApplicationPrivate::notify_helper (this=0x9ae460, receiver=0x99c0e0, e=0x7fffd1c6ab70) at kernel/qapplication.cpp:4065
#12 0x00007f4d5728d07a in QApplication::notify (this=0x7fffd1c6aeb0, receiver=0x99c0e0, e=0x7fffd1c6ab70) at kernel/qapplication.cpp:4030
#13 0x00007f4d585d80db in KApplication::notify (this=0x7fffd1c6aeb0, receiver=0x99c0e0, event=0x7fffd1c6ab70) at ../../kdeui/kernel/kapplication.cpp:302
#14 0x00007f4d56db6c9c in QCoreApplication::notifyInternal (this=0x7fffd1c6aeb0, receiver=0x99c0e0, event=0x7fffd1c6ab70) at kernel/qcoreapplication.cpp:610
#15 0x00007f4d56de32c6 in QCoreApplication::sendEvent (this=0x9b25a0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#16 QTimerInfoList::activateTimers (this=0x9b25a0) at kernel/qeventdispatcher_unix.cpp:580
#17 0x00007f4d56ddf658 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#18 idleTimerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:231
#19 0x00007f4d52d0612a in g_main_dispatch (context=0x9b1520) at /tmp/buildd/glib2.0-2.22.2/glib/gmain.c:1960
#20 IA__g_main_context_dispatch (context=0x9b1520) at /tmp/buildd/glib2.0-2.22.2/glib/gmain.c:2513
#21 0x00007f4d52d09988 in g_main_context_iterate (context=0x9b1520, block=1, dispatch=1, self=<value optimized out>) at /tmp/buildd/glib2.0-2.22.2/glib/gmain.c:2591
#22 0x00007f4d52d09b3c in IA__g_main_context_iteration (context=0x9b1520, may_block=1) at /tmp/buildd/glib2.0-2.22.2/glib/gmain.c:2654
#23 0x00007f4d56ddf39c in QEventDispatcherGlib::processEvents (this=0x981790, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:407
#24 0x00007f4d5731bf1f in QGuiEventDispatcherGlib::processEvents (this=0x0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#25 0x00007f4d56db5562 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#26 0x00007f4d56db5934 in QEventLoop::exec (this=0x7fffd1c6ae20, flags=...) at kernel/qeventloop.cpp:201
#27 0x00007f4d56db7ba4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#28 0x000000000043953d in main (argc=5, argv=0x7fffd1c6b3a8) at ../../../../apps/dolphin/src/main.cpp:94
The current source language is "auto; currently asm".
The current source language is "auto; currently c".
Comment 29 Frank Reininghaus 2009-11-09 20:17:16 UTC
*** Bug 213699 has been marked as a duplicate of this bug. ***
Comment 30 Frank Reininghaus 2009-11-09 20:17:58 UTC
*** Bug 213635 has been marked as a duplicate of this bug. ***
Comment 31 Dario Andres 2009-11-10 00:54:09 UTC
*** Bug 213574 has been marked as a duplicate of this bug. ***
Comment 32 Jan Essert 2009-11-10 09:08:49 UTC
I have another one which might be helpful..

Application: Dolphin (dolphin), signal: Segmentation fault
The current source language is "auto; currently asm".
[KCrash Handler]
#5  _dbus_connection_lock (connection=0x640069006c0061) at /var/tmp/portage/sys-apps/dbus-1.3.0-r1/work/dbus-1.3.0/dbus/dbus-connection.c:361
#6  0x00007f8567e9395d in _dbus_pending_call_get_connection_and_lock (pending=0x2620560) at /var/tmp/portage/sys-apps/dbus-1.3.0-r1/work/dbus-1.3.0/dbus/dbus-pending-call.c:307
#7  0x00007f8567e854be in reply_handler_timeout (data=0x640069006c0061) at /var/tmp/portage/sys-apps/dbus-1.3.0-r1/work/dbus-1.3.0/dbus/dbus-connection.c:3237
#8  0x00007f856c7634c7 in q_dbus_timeout_handle (this=0x2274410, e=0x7fff65501e90) at ./qdbus_symbols_p.h:172
#9  QDBusConnectionPrivate::timerEvent (this=0x2274410, e=0x7fff65501e90) at qdbusintegrator.cpp:1023
#10 0x00007f856c483993 in QObject::event (this=0x2274410, e=0x2279670) at kernel/qobject.cpp:1066
#11 0x00007f856ba3abdc in QApplicationPrivate::notify_helper (this=0x2280c60, receiver=0x2274410, e=0x7fff65501e90) at kernel/qapplication.cpp:4065
#12 0x00007f856ba40488 in QApplication::notify (this=0x7fff655021e0, receiver=0x2274410, e=0x7fff65501e90) at kernel/qapplication.cpp:4030
#13 0x00007f856d0536b6 in KApplication::notify (this=0x7fff655021e0, receiver=0x2274410, event=0x7fff65501e90)
    at /var/tmp/portage/kde-base/kdelibs-4.3.3/work/kdelibs-4.3.3/kdeui/kernel/kapplication.cpp:302
#14 0x00007f856c4759fb in QCoreApplication::notifyInternal (this=0x7fff655021e0, receiver=0x2274410, event=0x7fff65501e90) at kernel/qcoreapplication.cpp:606
#15 0x00007f856c49c71a in QCoreApplication::sendEvent (this=0x2284560) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#16 QTimerInfoList::activateTimers (this=0x2284560) at kernel/qeventdispatcher_unix.cpp:580
#17 0x00007f856c49a1ad in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:165
#18 0x00007f85677bf53d in g_main_dispatch (context=0x2283520) at gmain.c:1960
#19 IA__g_main_context_dispatch (context=0x2283520) at gmain.c:2513
#20 0x00007f85677c2ef8 in g_main_context_iterate (context=0x2283520, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2591
#21 0x00007f85677c3020 in IA__g_main_context_iteration (context=0x2283520, may_block=1) at gmain.c:2654
#22 0x00007f856c49a0f6 in QEventDispatcherGlib::processEvents (this=0x227fc30, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#23 0x00007f856babfc8e in QGuiEventDispatcherGlib::processEvents (this=0x640069006c0061, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#24 0x00007f856c474422 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#25 0x00007f856c4745bd in QEventLoop::exec (this=0x7fff65502130, flags=) at kernel/qeventloop.cpp:197
#26 0x00007f856c4763a9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#27 0x00000000004393d0 in main (argc=<value optimized out>, argv=<value optimized out>) at /var/tmp/portage/kde-base/dolphin-4.3.3/work/dolphin-4.3.3/dolphin/src/main.cpp:94
Comment 33 Dario Andres 2009-11-10 22:26:16 UTC
*** Bug 213981 has been marked as a duplicate of this bug. ***
Comment 34 Fabio Rossi 2009-11-10 22:57:53 UTC
*** This bug has been confirmed by popular vote. ***
Comment 35 Sebastian Trueg 2009-11-10 23:28:35 UTC
was any of these crashes reproduced on KDE 4.4, i.e. KDE trunk?
The problem is that none of the backtraces show any involvement of Nepomuk. I would have no idea on how to debug this...
Comment 36 Dario Andres 2009-11-11 00:53:30 UTC
I haven't experienced this crashes on trunk...
Comment 37 Frank Reininghaus 2009-11-11 10:33:14 UTC
*** Bug 214065 has been marked as a duplicate of this bug. ***
Comment 38 Dario Andres 2009-11-11 21:33:40 UTC
*** Bug 214138 has been marked as a duplicate of this bug. ***
Comment 39 Dario Andres 2009-11-12 00:27:43 UTC
*** Bug 214199 has been marked as a duplicate of this bug. ***
Comment 40 Dario Andres 2009-11-12 22:19:09 UTC
*** Bug 214305 has been marked as a duplicate of this bug. ***
Comment 41 Dario Andres 2009-11-15 13:49:08 UTC
*** Bug 214642 has been marked as a duplicate of this bug. ***
Comment 42 Frank Reininghaus 2009-11-17 11:41:44 UTC
*** Bug 214936 has been marked as a duplicate of this bug. ***
Comment 43 Frank Reininghaus 2009-11-17 11:41:52 UTC
*** Bug 214844 has been marked as a duplicate of this bug. ***
Comment 44 Jonathan Thomas 2009-11-17 20:22:16 UTC
*** Bug 215013 has been marked as a duplicate of this bug. ***
Comment 45 Jonathan Thomas 2009-11-17 20:24:46 UTC
*** Bug 215011 has been marked as a duplicate of this bug. ***
Comment 46 Dario Andres 2009-11-18 02:25:37 UTC
*** Bug 212548 has been marked as a duplicate of this bug. ***
Comment 47 Dario Andres 2009-11-18 22:42:33 UTC
*** Bug 215125 has been marked as a duplicate of this bug. ***
Comment 48 Dario Andres 2009-11-19 01:52:48 UTC
*** Bug 215187 has been marked as a duplicate of this bug. ***
Comment 49 Igor Strelnikoff 2009-11-19 17:29:58 UTC
Application that crashed: dolphin
Version of the application: 1.3
KDE Version: 4.3.3 (KDE 4.3.3)
Qt Version: 4.5.3
Operating System: Linux 2.6.27-29-i586
Distribution:  GNU/Linux OpenSUSE 11.1

Dolphin crached when copying files from external USB HDD

Application: Dolphin (dolphin), signal: Segmentation fault
[KCrash Handler]
#6  0xb54c297a in ?? () from /lib/libdbus-1.so.3
#7  0xb54d56c5 in ?? () from /lib/libdbus-1.so.3
#8  0xb54c7945 in ?? () from /lib/libdbus-1.so.3
#9  0xb54da922 in dbus_timeout_handle () from /lib/libdbus-1.so.3
#10 0xb6905557 in ?? () from /usr/lib/libQtDBus.so.4
#11 0xb5e77e8f in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#12 0xb608176c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from
/usr/lib/libQtGui.so.4
#13 0xb6089a5e in QApplication::notify(QObject*, QEvent*) () from
/usr/lib/libQtGui.so.4
#14 0xb6de182d in KApplication::notify(QObject*, QEvent*) () from
/usr/lib/libkdeui.so.5
#15 0xb5e678fb in QCoreApplication::notifyInternal(QObject*, QEvent*) () from
/usr/lib/libQtCore.so.4
#16 0xb5e97066 in ?? () from /usr/lib/libQtCore.so.4
#17 0xb5e93347 in ?? () from /usr/lib/libQtCore.so.4
#18 0xb565f9c8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0xb5663083 in ?? () from /usr/lib/libglib-2.0.so.0
#20 0xb5663241 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0xb5e93071 in
QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
from /usr/lib/libQtCore.so.4
#22 0xb6121cc5 in ?? () from /usr/lib/libQtGui.so.4
#23 0xb5e65f1a in
QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/libQtCore.so.4
#24 0xb5e66362 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
from /usr/lib/libQtCore.so.4
#25 0xb5e68809 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#26 0xb60815e7 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#27 0x0807ab0f in _start ()
Comment 50 Dario Andres 2009-11-21 14:15:55 UTC
*** Bug 215535 has been marked as a duplicate of this bug. ***
Comment 51 Dario Andres 2009-11-21 21:54:49 UTC
*** Bug 215168 has been marked as a duplicate of this bug. ***
Comment 52 skusz 2009-11-23 09:35:01 UTC
Yes

2009/11/17 Frank Reininghaus <frank78ac@googlemail.com>

> https://bugs.kde.org/show_bug.cgi?id=208921
>
>
> Frank Reininghaus <frank78ac@googlemail.com> changed:
>
>           What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>                 CC|                            |remco.bloemen@gmail.com
>
>
>
>
> --- Comment #42 from Frank Reininghaus <frank78ac googlemail com>
>  2009-11-17 11:41:44 ---
> *** Bug 214936 has been marked as a duplicate of this bug. ***
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 53 Frank Reininghaus 2009-11-24 22:51:31 UTC
*** Bug 216008 has been marked as a duplicate of this bug. ***
Comment 54 Frank Reininghaus 2009-11-24 22:52:19 UTC
*** Bug 215998 has been marked as a duplicate of this bug. ***
Comment 55 Frank Reininghaus 2009-11-24 22:55:38 UTC
@Sebastian: I don't know if it helps, but the reporter of bug 215998 attached his .xsession-errors, see

https://bugs.kde.org/attachment.cgi?id=38544

Before the crash, the message 

"query: Graph pattern graph operation is not implemented yet. Ending query execution. (error)" (line: 1, column: -1)

from /usr/bin/nepomukservicestub is output over and over again.
Comment 56 Dario Andres 2009-11-25 02:03:29 UTC
*** Bug 216026 has been marked as a duplicate of this bug. ***
Comment 57 NeilBryant 2009-11-25 05:16:37 UTC
I can confirm that Nepomuk is sort of running on my machine. I was actually trying to get it to work--I don't need to disable it.

Is there anything I can get that's particularly useful when I experience this crash again? I already installed the debug packages, and sent in a crash dump . . . any specific logs, etc? Anything diagnostic I can contribute?
Comment 58 Frank Reininghaus 2009-12-01 17:53:28 UTC
*** Bug 216959 has been marked as a duplicate of this bug. ***
Comment 59 Frank Reininghaus 2009-12-02 22:00:07 UTC
*** Bug 217078 has been marked as a duplicate of this bug. ***
Comment 60 Sebastian Trueg 2009-12-03 08:57:24 UTC
Is anyone experiencing this exact same crash on KDE trunk aka 4.4? With "exact same" I mean a crash somewhere in D-Bus?
Comment 61 Anthony Scire 2009-12-03 23:06:35 UTC
Using the 4.3.4 packages from Chakra (KDEmod), got another crash.  Info below:

Application: Dolphin (dolphin), signal: Segmentation fault
[KCrash Handler]
#5  0x00007fc10d148770 in _dbus_list_prepend_link () from /usr/lib/libdbus-1.so.3
#6  0x00007fc10d148789 in _dbus_list_append_link () from /usr/lib/libdbus-1.so.3
#7  0x00007fc10d130d0d in _dbus_connection_queue_synthesized_message_link () from /usr/lib/libdbus-1.so.3
#8  0x00007fc10d13f9d5 in _dbus_pending_call_queue_timeout_error_unlocked () from /usr/lib/libdbus-1.so.3
#9  0x00007fc10d13135c in reply_handler_timeout () from /usr/lib/libdbus-1.so.3
#10 0x00007fc114963603 in ?? () from /usr/lib/libQtDBus.so.4
#11 0x00007fc113ab5423 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#12 0x00007fc113f3860c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#13 0x00007fc113f3f8de in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#14 0x00007fc11526d926 in KApplication::notify (this=0x7fffe24dd020, receiver=0x19fcbd0, event=0x7fffe24dccd0) at /home/phil/kdemod/core/kdelibs/src/kdelibs-4.3.4/kdeui/kernel/kapplication.cpp:302
#15 0x00007fc113aa633c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#16 0x00007fc113ad1b22 in ?? () from /usr/lib/libQtCore.so.4
#17 0x00007fc113aceb38 in ?? () from /usr/lib/libQtCore.so.4
#18 0x00007fc10f7d51fe in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#19 0x00007fc10f7d8bb8 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#20 0x00007fc10f7d8ce0 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0x00007fc113ace863 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#22 0x00007fc113fcb6de in ?? () from /usr/lib/libQtGui.so.4
#23 0x00007fc113aa4c72 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#24 0x00007fc113aa5044 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#25 0x00007fc113aa71f9 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#26 0x0000000000439495 in _start ()
Comment 62 Frank Reininghaus 2009-12-05 11:49:44 UTC
*** Bug 217407 has been marked as a duplicate of this bug. ***
Comment 63 Frank Reininghaus 2009-12-05 11:50:00 UTC
*** Bug 217415 has been marked as a duplicate of this bug. ***
Comment 64 Frank Reininghaus 2009-12-05 11:51:20 UTC
@Sebastian: Bug 217415 is for KDE 4.4 Beta 1 with Qt 4.6.0, so it seems that this is not resolved yet :-(
Comment 65 Dario Andres 2009-12-05 15:50:23 UTC
*** Bug 217445 has been marked as a duplicate of this bug. ***
Comment 66 Dario Andres 2009-12-07 00:43:09 UTC
*** Bug 212746 has been marked as a duplicate of this bug. ***
Comment 67 Eugene Shalygin 2009-12-08 14:34:01 UTC
(In reply to comment #60)
> Is anyone experiencing this exact same crash on KDE trunk aka 4.4? With "exact
> same" I mean a crash somewhere in D-Bus?

Yes, I experiencing crashes of Dolphin with Nepomuk enabled with similar backtraces mostly after fetching file previews in Dolphin window. Files could be of any type (but with previews) such as video, text and so on
Comment 68 Frank Reininghaus 2009-12-09 16:00:47 UTC
*** Bug 217868 has been marked as a duplicate of this bug. ***
Comment 69 Frank Reininghaus 2009-12-09 16:12:13 UTC
*** Bug 217985 has been marked as a duplicate of this bug. ***
Comment 70 Dario Andres 2009-12-09 23:24:38 UTC
*** Bug 214771 has been marked as a duplicate of this bug. ***
Comment 71 Dario Andres 2009-12-10 14:55:18 UTC
Backtrace from bug 218044 includes Nepomuk in a secondary thread.. may be Sebastian can get some information from it ?
Comment 72 Dario Andres 2009-12-10 14:55:18 UTC
*** Bug 218044 has been marked as a duplicate of this bug. ***
Comment 73 Gaurish 2009-12-10 16:34:57 UTC
I confirm this is Nepomuk related problem, as soon as I disabled Nepomuk all dolphin crashes/seqfaults stopped.since then I didn't have a single crash, perfectly stable hence the workaround of bug is to disable Nepomuk and keep it disable untill this bug get fixed.

Here how to disable Nepomuk:

* Click on K Menu --> Computer --> System Settings --> Advanced Tab --> Desktop Search.

* Uncheck both the check boxed to disanle Nepomuk

I hope this bug gets fixed soon, if devs need more information. I am happy to provide that.
Comment 74 Sebastian Trueg 2009-12-10 18:15:16 UTC
Created attachment 38966 [details]
Remove storage service availability check

This is a patch for trunk/4.4 beta1 kdelibs. Please see if it fixes the problem.
Comment 75 Frank Reininghaus 2009-12-11 00:36:47 UTC
*** Bug 218196 has been marked as a duplicate of this bug. ***
Comment 76 Dario Andres 2009-12-12 18:55:44 UTC
*** Bug 218403 has been marked as a duplicate of this bug. ***
Comment 77 Dario Andres 2009-12-12 18:56:24 UTC
*** Bug 218404 has been marked as a duplicate of this bug. ***
Comment 78 Frank Reininghaus 2009-12-14 12:38:37 UTC
*** Bug 218591 has been marked as a duplicate of this bug. ***
Comment 79 Frank Reininghaus 2009-12-15 22:22:41 UTC
*** Bug 218636 has been marked as a duplicate of this bug. ***
Comment 80 Frank Reininghaus 2009-12-15 22:26:17 UTC
*** Bug 218828 has been marked as a duplicate of this bug. ***
Comment 81 SlashDevDsp 2009-12-16 04:47:39 UTC
I have tried the patch from comment #74 with latest trunk and it does not crash any more, looks like it is the fix for the crash. my bug report was #218636
Comment 82 SlashDevDsp 2009-12-16 07:02:57 UTC
regarding my comment #81 I am starting to notice that nepomukservicestub taking a lot more memory (previously yesterdays trunk without the avobe mentioned patch it was roughly around 1.2GB) (currently have 6 instances of nepomukservicestub taking about 3.2GB and increasing on a system with 6GB memory) indexing the my home directory (roughly about 50gb)
Comment 83 SlashDevDsp 2009-12-16 07:03:55 UTC
woops make that 150GB home directory, not 50GB
Comment 84 Sebastian Trueg 2009-12-16 09:44:25 UTC
@SlashDevDsp; can you please provide the output of "ps aux |grep nepomuk" so I can see which process is eating away your memory.
Comment 85 Sebastian Trueg 2009-12-16 09:46:38 UTC
SVN commit 1062832 by trueg:

Do not check the storage service via DBus anymore since the latter is not thread-safe. We would need to 
create one DBus connection for each thread. I still do not understand why Qt does not do that itself.

BUG: 208921


 M  +16 -21    nepomukmainmodel.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1062832
Comment 86 Frank Reininghaus 2009-12-16 15:39:20 UTC
*** Bug 218909 has been marked as a duplicate of this bug. ***
Comment 87 Dario Andres 2009-12-17 02:19:56 UTC
*** Bug 219007 has been marked as a duplicate of this bug. ***
Comment 88 SlashDevDsp 2009-12-17 05:46:20 UTC
Seb, With latest trunk I keep getting:

[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "org.freedesktop.DBus.Error.UnknownObject - No such object path '/org/soprano/Server'"
"/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
"/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
"/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Invalid iterator."
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "org.freedesktop.DBus.Error.UnknownObject - No such object path '/org/soprano/Server'"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "org.freedesktop.DBus.Error.UnknownObject - No such object path '/org/soprano/Server'"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "org.freedesktop.DBus.Error.UnknownObject - No such object path '/org/soprano/Server'"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "org.freedesktop.DBus.Error.UnknownObject - No such object path '/org/soprano/Server'"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "org.freedesktop.DBus.Error.UnknownObject - No such object path '/org/soprano/Server'"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "org.freedesktop.DBus.Error.UnknownObject - No such object path '/org/soprano/Server'"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
"/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "org.freedesktop.DBus.Error.UnknownObject - No such object path '/org/soprano/Server'"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "org.freedesktop.DBus.Error.UnknownObject - No such object path '/org/soprano/Server'"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "org.freedesktop.DBus.Error.UnknownObject - No such object path '/org/soprano/Server'"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "org.freedesktop.DBus.Error.UnknownObject - No such object path '/org/soprano/Server'"
[/opt/kde/bin/nepomukservicestub] "/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
"/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
[/opt/kde/bin/nepomukservicestub] "14:45:01 Compiler unit is timed at 0.000338 msec

and

"/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
"/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "org.freedesktop.DBus.Error.ServiceUnknown - The name org.kde.nepomuk.services.nepomukstorage was not provided by any .service files"
"/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
"/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
"/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "org.freedesktop.DBus.Error.ServiceUnknown - The name org.kde.nepomuk.services.nepomukstorage was not provided by any .service files"
"/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
"/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "org.freedesktop.DBus.Error.ServiceUnknown - The name org.kde.nepomuk.services.nepomukstorage was not provided by any .service files"
"/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
"/opt/kde/bin/nepomukservicestub(5747)" Error in thread 140515906201936 : "Unsupported operation (2)": "Invalid model"
Comment 89 SlashDevDsp 2009-12-17 05:49:12 UTC
Seb regarding the memory information see my comment #82, for now I cant seem to get nepomuk /backend working to get any memory information, but what ps aus | grep nepomuk info are you looking for? I think I have most of that information in my comment #82
Comment 90 Sebastian Trueg 2009-12-17 13:56:48 UTC
Regarding all the error messages: yes, but at least it does not crash anymore, right? ;) Like I say in my commit message: now there is no check anymore since that check is what makes the app crash. I need to find a solution for that which does not involve creating a new DBus session connection each time.

As for the mem usage: I need to know which nepomukservicestub process exactly uses the high amount of memory.
Comment 91 Dario Andres 2009-12-17 16:20:47 UTC
*** Bug 219076 has been marked as a duplicate of this bug. ***
Comment 92 Dario Andres 2009-12-17 17:25:02 UTC
*** Bug 217659 has been marked as a duplicate of this bug. ***
Comment 93 Dario Andres 2009-12-17 17:25:13 UTC
*** Bug 217605 has been marked as a duplicate of this bug. ***
Comment 94 Dario Andres 2009-12-17 17:25:23 UTC
*** Bug 217372 has been marked as a duplicate of this bug. ***
Comment 95 Dario Andres 2009-12-17 17:25:41 UTC
*** Bug 216969 has been marked as a duplicate of this bug. ***
Comment 96 Dario Andres 2009-12-17 17:29:49 UTC
*** Bug 215635 has been marked as a duplicate of this bug. ***
Comment 97 Dario Andres 2009-12-17 17:30:11 UTC
*** Bug 214710 has been marked as a duplicate of this bug. ***
Comment 98 Dario Andres 2009-12-17 17:30:24 UTC
*** Bug 214516 has been marked as a duplicate of this bug. ***
Comment 99 Dario Andres 2009-12-17 17:31:12 UTC
*** Bug 212449 has been marked as a duplicate of this bug. ***
Comment 100 Dario Andres 2009-12-17 17:31:24 UTC
*** Bug 212111 has been marked as a duplicate of this bug. ***
Comment 101 Dario Andres 2009-12-17 17:32:06 UTC
*** Bug 211421 has been marked as a duplicate of this bug. ***
Comment 102 Dario Andres 2009-12-17 17:32:37 UTC
*** Bug 209603 has been marked as a duplicate of this bug. ***
Comment 103 Dario Andres 2009-12-17 17:35:18 UTC
@To all the people involved in this report: sorry about the noise.
Comment 104 Dario Andres 2009-12-17 19:34:42 UTC
@Sebastian: considering this is a "mass" crashh, could this be backported to 4.3.x ? (if we ask at kde-packagers to include your fix in the stable 4.3.4 packages)
Thanks
Comment 105 SlashDevDsp 2009-12-18 01:08:20 UTC
there were 6 instances of nepokumservicestub

first instance 1.5gb
2nd instance 1.3gb
3-4 instances about 250mb each
5-6 instances about 11-20mb each

I think those were the memory usages
Comment 106 Dario Andres 2009-12-18 17:10:10 UTC
*** Bug 219200 has been marked as a duplicate of this bug. ***
Comment 107 Dario Andres 2009-12-18 20:04:20 UTC
*** Bug 219223 has been marked as a duplicate of this bug. ***
Comment 108 Dario Andres 2009-12-23 14:18:51 UTC
*** Bug 219763 has been marked as a duplicate of this bug. ***
Comment 109 Frank Reininghaus 2009-12-28 12:06:36 UTC
*** Bug 220346 has been marked as a duplicate of this bug. ***
Comment 110 Dario Andres 2010-01-01 15:36:22 UTC
*** Bug 220893 has been marked as a duplicate of this bug. ***
Comment 111 S. Burmeister 2010-01-01 15:49:46 UTC
Is there a backport available. If not, what's the reason? If downstream devs consider doing a backport it would be handy to know about the amount of time would have to invest.
Comment 112 Dario Andres 2010-01-03 18:02:39 UTC
*** Bug 221127 has been marked as a duplicate of this bug. ***
Comment 113 Pino Toscano 2010-01-04 11:44:07 UTC
*** Bug 221189 has been marked as a duplicate of this bug. ***
Comment 114 Dario Andres 2010-01-08 00:33:59 UTC
*** Bug 221176 has been marked as a duplicate of this bug. ***
Comment 115 Frank Reininghaus 2010-01-12 18:25:47 UTC
*** Bug 222290 has been marked as a duplicate of this bug. ***
Comment 116 Dario Andres 2010-01-13 13:58:25 UTC
*** Bug 222533 has been marked as a duplicate of this bug. ***
Comment 117 Frank Reininghaus 2010-01-15 12:03:50 UTC
*** Bug 222801 has been marked as a duplicate of this bug. ***
Comment 118 Frank Reininghaus 2010-01-15 17:19:31 UTC
SVN commit 1075174 by freininghaus:

Backport commit 1062832 to the 4.3 branch:

Do not check the storage service via DBus anymore since the latter is not
thread-safe.

Fix will be in KDE 4.3.5.

CCBUG: 208921


 M  +3 -2      nepomukmainmodel.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1075174
Comment 119 Frank Reininghaus 2010-01-16 00:53:00 UTC
*** Bug 222894 has been marked as a duplicate of this bug. ***
Comment 120 Frank Reininghaus 2010-01-16 00:53:12 UTC
*** Bug 222914 has been marked as a duplicate of this bug. ***
Comment 121 Frank Reininghaus 2010-01-16 23:11:01 UTC
*** Bug 223020 has been marked as a duplicate of this bug. ***
Comment 122 Dario Andres 2010-01-18 21:44:37 UTC
*** Bug 223333 has been marked as a duplicate of this bug. ***
Comment 123 Dario Andres 2010-01-21 13:32:30 UTC
*** Bug 223646 has been marked as a duplicate of this bug. ***
Comment 124 Frank Reininghaus 2010-01-23 03:16:01 UTC
*** Bug 223853 has been marked as a duplicate of this bug. ***
Comment 125 Frank Reininghaus 2010-01-26 15:02:51 UTC
*** Bug 224083 has been marked as a duplicate of this bug. ***
Comment 126 Dario Andres 2010-02-05 14:20:39 UTC
*** Bug 225545 has been marked as a duplicate of this bug. ***
Comment 127 Dario Andres 2010-02-06 23:54:11 UTC
*** Bug 225762 has been marked as a duplicate of this bug. ***
Comment 128 Dario Andres 2010-02-10 13:11:10 UTC
*** Bug 226018 has been marked as a duplicate of this bug. ***
Comment 129 Jonathan Thomas 2010-04-17 05:28:22 UTC
*** Bug 234537 has been marked as a duplicate of this bug. ***
Comment 130 Frank Reininghaus 2010-04-24 20:15:29 UTC
*** Bug 235183 has been marked as a duplicate of this bug. ***
Comment 131 Frank Reininghaus 2010-07-01 14:10:10 UTC
*** Bug 243336 has been marked as a duplicate of this bug. ***
Comment 132 S. Burmeister 2010-08-05 11:51:35 UTC
drkonqi suggested a crash that occurred with KDE SC 4.4.4 as a duplicate of this one. Should this not be fixed within KDE > 4.3 even in case dbus was not fixed?

To me "Do not check the storage service via DBus anymore since the latter is not
thread-safe." suggests that everything that could cause the crash because of the buggy dbus was disabled in nepomuk/dolphin.

Application: Dolphin (dolphin), signal: Segmentation fault
[KCrash Handler]
#5  _dbus_pthread_mutex_lock (mutex=<value optimized out>) at dbus-sysdeps-pthread.c:137
#6  0x00007f622029e53d in _dbus_connection_lock (connection=0x7f621000b800) at dbus-connection.c:355
#7  0x00007f62202afb1d in _dbus_pending_call_get_connection_and_lock (pending=0x7f62100060c0) at dbus-pending-call.c:307
#8  0x00007f62202a1fce in reply_handler_timeout (data=0x7f62100060c0) at dbus-connection.c:3163
#9  0x00007f6225abacef in q_dbus_timeout_handle (this=0x6af120, e=0x7fff314d3410) at qdbus_symbols_p.h:172
#10 QDBusConnectionPrivate::timerEvent (this=0x6af120, e=0x7fff314d3410) at qdbusintegrator.cpp:1035
#11 0x00007f622579622e in QObject::event (this=0x6af120, e=0x7fff314d3410) at kernel/qobject.cpp:1212
#12 0x00007f6224b764d4 in QApplicationPrivate::notify_helper (this=0x6c7540, receiver=0x6af120, e=0x7fff314d3410) at kernel/qapplication.cpp:4302
#13 0x00007f6224b7eaca in QApplication::notify (this=<value optimized out>, receiver=0x6af120, e=0x7fff314d3410) at kernel/qapplication.cpp:4185
#14 0x00007f62262ddc06 in KApplication::notify (this=0x7fff314d3850, receiver=0x6af120, event=0x7fff314d3410) at /usr/src/debug/kdelibs-4.4.4/kdeui/kernel/kapplication.cpp:302
#15 0x00007f6225784e4c in QCoreApplication::notifyInternal (this=0x7fff314d3850, receiver=0x6af120, event=0x7fff314d3410) at kernel/qcoreapplication.cpp:726
#16 0x00007f62257b00c9 in sendEvent (this=0x6be5c0) at kernel/qcoreapplication.h:215
#17 QTimerInfoList::activateTimers (this=0x6be5c0) at kernel/qeventdispatcher_unix.cpp:618
#18 0x00007f62257acff8 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#19 idleTimerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:231
#20 0x00007f621f9dca93 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#21 0x00007f621f9dd270 in ?? () from /usr/lib64/libglib-2.0.so.0
#22 0x00007f621f9dd510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#23 0x00007f62257ad67f in QEventDispatcherGlib::processEvents (this=0x6968a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#24 0x00007f6224c1714e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#25 0x00007f6225784292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#26 0x00007f6225784495 in QEventLoop::exec (this=0x7fff314d37a0, flags=...) at kernel/qeventloop.cpp:201
#27 0x00007f622578888b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#28 0x0000000000436c3d in _start ()
Comment 133 Sebastian Trueg 2010-08-05 13:56:11 UTC
There are more places in kdelibs which trigger the dbus bug. Disabling them would mean to sacrifice features. (I will not enter the discussion about how we should disable them anyway here. From my point of view dbus needs to be updated.)
Comment 134 Peter Penz 2010-08-08 13:16:24 UTC
*** Bug 225565 has been marked as a duplicate of this bug. ***
Comment 135 Peter Penz 2010-08-15 13:30:14 UTC
*** Bug 226725 has been marked as a duplicate of this bug. ***
Comment 136 Jonathan Thomas 2010-08-16 17:05:51 UTC
*** Bug 248068 has been marked as a duplicate of this bug. ***
Comment 137 Peter Penz 2010-08-16 20:34:42 UTC
*** Bug 241224 has been marked as a duplicate of this bug. ***
Comment 138 Peter Penz 2010-08-16 21:19:37 UTC
*** Bug 246135 has been marked as a duplicate of this bug. ***
Comment 139 Peter Penz 2010-08-16 21:20:52 UTC
*** Bug 246453 has been marked as a duplicate of this bug. ***
Comment 140 Peter Penz 2010-08-16 21:22:03 UTC
*** Bug 246665 has been marked as a duplicate of this bug. ***
Comment 141 Peter Penz 2010-08-17 11:45:16 UTC
*** Bug 235100 has been marked as a duplicate of this bug. ***
Comment 142 Nicolas L. 2010-08-22 14:19:46 UTC
*** Bug 248696 has been marked as a duplicate of this bug. ***
Comment 143 Peter Penz 2010-08-23 08:46:48 UTC
*** Bug 248534 has been marked as a duplicate of this bug. ***
Comment 144 Peter Penz 2010-08-23 13:29:35 UTC
*** Bug 248795 has been marked as a duplicate of this bug. ***
Comment 145 Adam Shrader 2010-08-26 06:33:15 UTC
Created attachment 50964 [details]
New crash information added by DrKonqi

dolphin (1.5) on KDE Platform 4.5.00 (KDE 4.5.0) using Qt 4.6.3

- What I was doing when the application crashed:

I was clicking an external usb drive in Places in dolphin and it seg faulted immediately.

-- Backtrace (Reduced):
#6  _dbus_pthread_mutex_lock (mutex=<value optimized out>) at dbus-sysdeps-pthread.c:137
#7  0x00007febee05f37d in _dbus_connection_lock (connection=0xdef370) at dbus-connection.c:355
#8  0x00007febee070bfd in _dbus_pending_call_get_connection_and_lock (pending=0xe19770) at dbus-pending-call.c:307
#9  0x00007febee062d3e in reply_handler_timeout (data=0x4000000000000000) at dbus-connection.c:3158
#10 0x00007febf10e6237 in q_dbus_timeout_handle (timeout=<value optimized out>) at qdbus_symbols_p.h:172
Comment 146 Bobby 2010-08-29 18:08:58 UTC
On Thursday 26 August 2010 06:33:24 Adam Shrader wrote:
> https://bugs.kde.org/show_bug.cgi?id=208921
> 
> 
> 
> 
> 
> --- Comment #145 from Adam Shrader <ashrader330 gmail com>  2010-08-26
> 06:33:15 --- Created an attachment (id=50964)
>  --> (http://bugs.kde.org/attachment.cgi?id=50964)
> New crash information added by DrKonqi
> 
> dolphin (1.5) on KDE Platform 4.5.00 (KDE 4.5.0) using Qt 4.6.3
> 
> - What I was doing when the application crashed:
> 
> I was clicking an external usb drive in Places in dolphin and it seg
> faulted immediately.
> 
> -- Backtrace (Reduced):
> #6  _dbus_pthread_mutex_lock (mutex=<value optimized out>) at
> dbus-sysdeps-pthread.c:137
> #7  0x00007febee05f37d in _dbus_connection_lock (connection=0xdef370) at
> dbus-connection.c:355
> #8  0x00007febee070bfd in _dbus_pending_call_get_connection_and_lock
> (pending=0xe19770) at dbus-pending-call.c:307
> #9  0x00007febee062d3e in reply_handler_timeout (data=0x4000000000000000)
> at dbus-connection.c:3158
> #10 0x00007febf10e6237 in q_dbus_timeout_handle (timeout=<value optimized
> out>) at qdbus_symbols_p.h:172
I just can't work with Dolphin since I updated to KDE 4.5. Dolphinn crashes no 
matter what I do. I have to be using Konqueror instead.
Comment 147 Clemens Eisserer 2010-08-29 21:18:21 UTC
> I just can't work with Dolphin since I updated to KDE 4.5. Dolphinn crashes no 
> matter what I do.

Well you're not alone. This is really a good example of KDEs non existant QA.
It seems shipping on time at all costs is top priority.
Comment 148 Joe Harvell 2010-08-30 17:51:37 UTC
While removing myself from the CC list, I think I accidentally marked this resolved as fixed.  Not sure what state it was in before and not sure how to fix it.  Sorry about that.  Could someone please fix?
Comment 149 S. Burmeister 2010-08-31 13:49:17 UTC
(In reply to comment #147)
> Well you're not alone. This is really a good example of KDEs non existant QA.
> It seems shipping on time at all costs is top priority.

Which version of dbus do you use? If this bug is caused by dbus not being thread safe and you are not using a dbus package that includes the _dbus_ fix then it's not KDE's fault, is it?
Comment 150 Peter Penz 2010-09-01 14:31:11 UTC
*** Bug 249482 has been marked as a duplicate of this bug. ***
Comment 151 Peter Penz 2010-09-01 14:42:06 UTC
An update for all "marked as duplicate" reports: The root cause for this
nasty issue is an issue in libdbus (see
https://bugs.freedesktop.org/show_bug.cgi?id=17754 for more details). The issue
has been fixed in libdbus 1.3.2, but sadly this bugfix has not been backported
yet to the stable 1.2 version AFAIK... (I'm also not sure, whether it can be
backported at all).

As Sebastian Trüg noted in comment #133, not only Dolphin is affected but the
whole KDE. As a workaround for Dolphin, please disable the tooltips and the
Information Panel until an updated version of libdbus is available for your distribution.

From a users point of view I fully agree that it is irrelevant whether the root
cause is in Dolphin or not: Dolphin crashes and this is frustrating. Still I
see no other way than to update libdbus :-(
Comment 152 Bobby 2010-09-01 19:54:52 UTC
On Wednesday 01 September 2010 14:42:10 Peter Penz wrote:
> :-(
I agree with you 100% users don#t care a dime about the technical details and 
what cause what, all they want are systems and programmes that work.
Comment 153 S. Burmeister 2010-09-01 20:01:41 UTC
(In reply to comment #152)
> I agree with you 100% users don#t care a dime about the technical details and 
> what cause what, all they want are systems and programmes that work.

But since it is NOT a KDE bug but a dbus bug you have to complain to your distro in order to get a fixed dbus package and not here.

KDE devs can only fix KDE bugs.
Comment 154 Clemens Eisserer 2010-09-01 20:53:58 UTC
> But since it is NOT a KDE bug but a dbus bug you have to complain to your
> distro in order to get a fixed dbus package and not here.

Right. What I was complaining is inter-project communication.

If KDE-4.5 requires a non-stable libdbus release in order to work stable, almost everybody who's using precompiled packages will have a quite unstable system. Looking at the amount of DUPS on this and similar bugs, A LOT of users are suffering.
A simple "hey guys, please release an emergency fix" would have done the job and would have avoided a lot of pain.

I have filed at least 3-4 bugs which were closed with a simple "Upstream", "QT Bug". Nobody knows wether this bug has been reported upstream or not.

However for the end-user doesn't care, if it crashes it crashes.
Comment 155 Valentin Rusu 2010-09-02 00:53:14 UTC
Created attachment 51199 [details]
New crash information added by DrKonqi

I was simply browsing for a folder wich was updated in the background by "unison" application from another machine.
Comment 156 Marko Dimjasevic 2010-09-02 15:45:23 UTC
Application: dolphin (1.5)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.6.3
Operating System: Linux 2.6.35-ARCH i686

-- Information about the crash:
- What I was doing when the application crashed:

I was mouse hovering over PDF documents and waiting for Information Panel preview to be generated when this crash happened.

- Custom settings of the application:

Information Panel was shown.

The crash does not seem to be reproducible.

-- Backtrace:
Application: Dolphin (kdeinit4), signal: Aborted
[Current thread is 1 (Thread 0xb59c7ad0 (LWP 23518))]

Thread 4 (Thread 0xaf1cfb70 (LWP 2520)):
#0  0xb77a0424 in __kernel_vsyscall ()
#1  0xb6ddf3fc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6e5242a in ?? () from /usr/lib/libQtCore.so.4
#3  0xb6e4e9b2 in QMutex::lock() () from /usr/lib/libQtCore.so.4
#4  0xb5fe1e38 in ?? () from /usr/lib/libQtDBus.so.4
#5  0xb2fe2783 in _dbus_timeout_list_add_timeout () from /usr/lib/libdbus-1.so.3
#6  0xb2fcd18d in protected_change_timeout () from /usr/lib/libdbus-1.so.3
#7  0xb2fcd40e in _dbus_connection_add_timeout_unlocked () from /usr/lib/libdbus-1.so.3
#8  0xb2fcf4f2 in dbus_connection_send_with_reply () from /usr/lib/libdbus-1.so.3
#9  0xb2fcf755 in dbus_connection_send_with_reply_and_block () from /usr/lib/libdbus-1.so.3
#10 0xb5fe717f in ?? () from /usr/lib/libQtDBus.so.4
#11 0xb5fd3d93 in QDBusConnection::call(QDBusMessage const&, QDBus::CallMode, int) const () from /usr/lib/libQtDBus.so.4
#12 0xb5ff6117 in QDBusAbstractInterface::callWithArgumentList(QDBus::CallMode, QString const&, QList<QVariant> const&) () from /usr/lib/libQtDBus.so.4
#13 0xb5ff671e in QDBusAbstractInterface::internalConstCall(QDBus::CallMode, QString const&, QList<QVariant> const&) const () from /usr/lib/libQtDBus.so.4
#14 0xb5fd8d21 in QDBusConnectionInterface::isServiceRegistered(QString const&) const () from /usr/lib/libQtDBus.so.4
#15 0xb724b063 in KSycocaPrivate::checkDatabase (this=0xb00da398, ifNotFound=...) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kdecore/sycoca/ksycoca.cpp:413
#16 0xb724bdb2 in KSycoca::findFactory (this=0xb0006ae8, id=KST_KServiceTypeFactory) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kdecore/sycoca/ksycoca.cpp:456
#17 0xb724fabc in KSycocaFactory (this=0xb00e6348, factory_id=KST_KServiceTypeFactory) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kdecore/sycoca/ksycocafactory.cpp:53
#18 0xb71cfc47 in KServiceTypeFactory (this=0xb00e6348) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kdecore/services/kservicetypefactory.cpp:31
#19 0xb71cff23 in KSycocaFactorySingleton<KServiceTypeFactory>::self () at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kdecore/sycoca/ksycocafactory.h:200
#20 KServiceTypeFactory::self () at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kdecore/services/kservicetypefactory.cpp:65
#21 0xb71d3c0f in KServiceTypeTrader::defaultOffers (this=0x9c06688, serviceType=..., constraint=...) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kdecore/services/kservicetypetrader.cpp:116
#22 0xb71d4055 in KServiceTypeTrader::query (this=0x9c06688, serviceType=..., constraint=...) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kdecore/services/kservicetypetrader.cpp:141
#23 0xb569b912 in KFileWriterProvider::loadPlugin (this=0xb0016170, key=...) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kio/kio/kfilewriteplugin.cpp:54
#24 0xb56965b2 in KFileMetaInfoPrivate::initWriters (this=0xb00e7420, file=...) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kio/kio/kfilemetainfo.cpp:281
#25 0xb569694f in KFileMetaInfo (this=0xaf1cf2c0, path=..., w=...) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kio/kio/kfilemetainfo.cpp:301
#26 0xb5773619 in KLoadFileMetaDataThread::run (this=0x9fb9c90) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kio/kfile/kloadfilemetadatathread.cpp:130
#27 0xb6e5337e in ?? () from /usr/lib/libQtCore.so.4
#28 0xb6ddae60 in start_thread () from /lib/libpthread.so.0
#29 0xb620d20e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xae9ceb70 (LWP 2521)):
#0  0xb77a0424 in __kernel_vsyscall ()
#1  0xb6ddf3fc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6e5242a in ?? () from /usr/lib/libQtCore.so.4
#3  0xb6e4e9d2 in QMutex::lock() () from /usr/lib/libQtCore.so.4
#4  0xb57735aa in KLoadFileMetaDataThread::run (this=0x9fb28a8) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kio/kfile/kloadfilemetadatathread.cpp:127
#5  0xb6e5337e in ?? () from /usr/lib/libQtCore.so.4
#6  0xb6ddae60 in start_thread () from /lib/libpthread.so.0
#7  0xb620d20e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb09cab70 (LWP 2534)):
#0  0xb77a0424 in __kernel_vsyscall ()
#1  0xb6ddf3fc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6e5242a in ?? () from /usr/lib/libQtCore.so.4
#3  0xb6e4e9d2 in QMutex::lock() () from /usr/lib/libQtCore.so.4
#4  0xb57735aa in KLoadFileMetaDataThread::run (this=0x9fc21d0) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kio/kfile/kloadfilemetadatathread.cpp:127
#5  0xb6e5337e in ?? () from /usr/lib/libQtCore.so.4
#6  0xb6ddae60 in start_thread () from /lib/libpthread.so.0
#7  0xb620d20e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb59c7ad0 (LWP 23518)):
[KCrash Handler]
#7  0xb77a0424 in __kernel_vsyscall ()
#8  0xb6168d61 in raise () from /lib/libc.so.6
#9  0xb616a5ee in abort () from /lib/libc.so.6
#10 0xb6161698 in __assert_fail () from /lib/libc.so.6
#11 0xb6ddd29e in pthread_mutex_lock () from /lib/libpthread.so.0
#12 0xb2febe30 in _dbus_pthread_mutex_lock () from /usr/lib/libdbus-1.so.3
#13 0xb2fe28d8 in _dbus_mutex_lock () from /usr/lib/libdbus-1.so.3
#14 0xb2fca315 in _dbus_connection_lock () from /usr/lib/libdbus-1.so.3
#15 0xb2fdd6f5 in _dbus_pending_call_get_connection_and_lock () from /usr/lib/libdbus-1.so.3
#16 0xb2fce4a5 in reply_handler_timeout () from /usr/lib/libdbus-1.so.3
#17 0xb2fe24a2 in dbus_timeout_handle () from /usr/lib/libdbus-1.so.3
#18 0xb5fdaf24 in ?? () from /usr/lib/libQtDBus.so.4
#19 0xb6f57694 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#20 0xb64ae194 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#21 0xb64b237e in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#22 0xb75b7b9a in KApplication::notify (this=0xbfce5ae0, receiver=0x97e5f70, event=0xbfce5780) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kdeui/kernel/kapplication.cpp:310
#23 0xb6f44f1b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#24 0xb6f7285e in ?? () from /usr/lib/libQtCore.so.4
#25 0xb6f6f807 in ?? () from /usr/lib/libQtCore.so.4
#26 0xb5d6cf72 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#27 0xb5d6d750 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#28 0xb5d6da04 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#29 0xb6f6fecc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#30 0xb655a435 in ?? () from /usr/lib/libQtGui.so.4
#31 0xb6f44169 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#32 0xb6f443da in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#33 0xb6f48cbf in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#34 0xb64ab8b7 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#35 0xb32378c5 in kdemain () from /usr/lib/libkdeinit4_dolphin.so
#36 0x0804de79 in launch (argc=3, _name=0x97cf454 "/usr/bin/dolphin", args=<value optimized out>, cwd=0x0, envc=0, envs=<value optimized out>, reset_env=false, tty=0x0, avoid_loops=false, 
    startup_id_str=0x8051cf6 "0") at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kinit/kinit.cpp:723
#37 0x0804e952 in handle_launcher_request (sock=8, who=<value optimized out>) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kinit/kinit.cpp:1215
#38 0x0804ef2f in handle_requests (waitForPid=0) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kinit/kinit.cpp:1408
#39 0x0804fcc1 in main (argc=) at /home/anke/kdemod/core/kdelibs/src/kdelibs-4.5.1/kinit/kinit.cpp:1892
Comment 157 Bobby 2010-09-04 10:47:01 UTC
On Wednesday 01 September 2010 20:01:42 S. Burmeister wrote:
> https://bugs.kde.org/show_bug.cgi?id=208921
> 
> 
> 
> 
> 
> --- Comment #153 from S. Burmeister <sven burmeister gmx net>  2010-09-01
> 20:01:41 --- (In reply to comment #152)
> 
> > I agree with you 100% users don#t care a dime about the technical details
> > and what cause what, all they want are systems and programmes that work.
> 
> But since it is NOT a KDE bug but a dbus bug you have to complain to your
> distro in order to get a fixed dbus package and not here.
> 
> KDE devs can only fix KDE bugs.
The most folks that use a computer don't care a dime whose bug it is. It 
happens on KDE so it's something else that cause this side effect then the KDE 
guys have to get it sorted out with the other people involved because it 
affects only KDE. We are mere users and don't care about technical details.
Comment 158 S. Burmeister 2010-09-04 11:01:56 UTC
(In reply to comment #157)
> The most folks that use a computer don't care a dime whose bug it is. It 
> happens on KDE so it's something else that cause this side effect then the KDE 
> guys have to get it sorted out with the other people involved because it 
> affects only KDE. We are mere users and don't care about technical details.

Sorry, but that's just bollocks! KDE devs cannot do the packaging for your distro. So as long as you do not complain to the right people you will not get a fix. That's how it works with every other product as well.
Comment 159 Peter Penz 2010-09-04 11:24:52 UTC
On http://dot.kde.org/2010/08/31/kde-releases-451 Alejandro Nova posted some instructions how to update to a newer version of libdbus on (K)ubuntu, Fedora and Arch Linux, which solves this issue. It seems directly linking to the comment is not possible, just search for "Have been discusssed before" at the page.
Comment 160 Bobby 2010-09-04 11:27:21 UTC
On Saturday 04 September 2010 11:01:57 S. Burmeister wrote:
> https://bugs.kde.org/show_bug.cgi?id=208921
> 
> 
> 
> 
> 
> --- Comment #158 from S. Burmeister <sven burmeister gmx net>  2010-09-04
> 11:01:56 --- (In reply to comment #157)
> 
> > The most folks that use a computer don't care a dime whose bug it is. It
> > happens on KDE so it's something else that cause this side effect then
> > the KDE guys have to get it sorted out with the other people involved
> > because it affects only KDE. We are mere users and don't care about
> > technical details.
> 
> Sorry, but that's just bollocks! KDE devs cannot do the packaging for your
> distro. So as long as you do not complain to the right people you will not
> get a fix. That's how it works with every other product as well.
That's right but what about communication and working together instead of 
blaming others? Apart from that there are a number of distros with this 
problem AFAIK. 
How can you explain this to a newcommer who uses KDE? He uses the DE and has 
problems so he tries GNOME on the same machine with the same distro and no 
such problems. His conclusion: KDE sucks. So you try to tell him that it has 
to do with D-Bus. D-What??? For him it happens on KDE so it's a KDE problem 
period.
Comment 161 S. Burmeister 2010-09-04 11:39:05 UTC
(In reply to comment #160)
> That's right but what about communication and working together instead of 
> blaming others?

Hm, aren't you blaming others instead of doing something yourself and working with others to provide fixed packages or notifying your distro etc.?

There was a patch provided to the dbus devs and they seem reluctant to backport it to 1.2. Same for the distros shipping the fixed packages via their online update channels.

> Apart from that there are a number of distros with this 
> problem AFAIK. 

So? complain to your distro because you do not use KDE vanilla but a packaged KDE and thus your first contact person is your distro. Tell them that they make KDE look bad because they provide a buggy dbus package. If you buy a car and it breaks, first thing you do is not to contact the carmaker but go to a garage. Your distro is your garage.

> How can you explain this to a newcommer who uses KDE? He uses the DE and has 
> problems so he tries GNOME on the same machine with the same distro and no 
> such problems. His conclusion: KDE sucks. So you try to tell him that it has 
> to do with D-Bus. D-What??? For him it happens on KDE so it's a KDE problem 
> period.

If the user is intelligent he will understand the difference if one explains it to him and not be stubborn.

Bug your distro and bug the dbus devs. Now that you know about the background of this issue not doing so but keeping complaining here is intentionally not doing the right thing.
Comment 162 Bobby 2010-09-04 12:59:14 UTC
On Saturday 04 September 2010 11:39:06 S. Burmeister wrote:
> https://bugs.kde.org/show_bug.cgi?id=208921
> 
> 
> 
> 
> 
> --- Comment #161 from S. Burmeister <sven burmeister gmx net>  2010-09-04
> 11:39:05 --- (In reply to comment #160)
> 
> > That's right but what about communication and working together instead of
> > blaming others?
> 
> Hm, aren't you blaming others instead of doing something yourself and
> working with others to provide fixed packages or notifying your distro
> etc.?

Come on now, if I weren't doing anything would I take the time out to report 
this bug? And yes It#s reported to my distro.

> 
> There was a patch provided to the dbus devs and they seem reluctant to
> backport it to 1.2. Same for the distros shipping the fixed packages via
> their online update channels.

I actually feel helpless and frustrated because I can't code and neither KDE 
nor openSuse has done anything to fix this problem up to now. I don't care who 
fixes it as lone as it's fixed.

> 
> > Apart from that there are a number of distros with this
> > problem AFAIK.
> 
> So? complain to your distro because you do not use KDE vanilla but a
> packaged KDE and thus your first contact person is your distro. Tell them
> that they make KDE look bad because they provide a buggy dbus package. If
> you buy a car and it breaks, first thing you do is not to contact the
> carmaker but go to a garage. Your distro is your garage.

And what if they hadn't done anything? Should I change distro or DE? I love 
open souce but that's the disadvantage unfortunately. When something breaks 
then the user doesn't know who he should turn to. He is sent from one point to 
the other :(
> 
> > How can you explain this to a newcommer who uses KDE? He uses the DE and
> > has problems so he tries GNOME on the same machine with the same distro
> > and no such problems. His conclusion: KDE sucks. So you try to tell him
> > that it has to do with D-Bus. D-What??? For him it happens on KDE so
> > it's a KDE problem period.
> 
> If the user is intelligent he will understand the difference if one
> explains it to him and not be stubborn.

That's true but not everyone is as patient as I am ;)
> 
> Bug your distro and bug the dbus devs. Now that you know about the
> background of this issue not doing so but keeping complaining here is
> intentionally not doing the right thing.

If you don't complain then you don't get help and the more people are aware of 
this problem is the better it is for us all. 
The KDE guys have done a surperb job thus far. I have been testing and 
reporting bugs since 4.0 (even before the release) and I promote KDE at every 
given opportunity but it nerves sometimes to see that one has a working 
desktop and then something just messes it up. It's now at 4.5 so I think that 
everthing possible should be done to prevent things from getting messed up. I 
believe that a bug report from the KDE guys to the D-Bus guys would be a lot 
more effective because I see the effect on KDE as a user but they see the root 
cause as devs so instead of telling me to tell the D-Bus guys then it would be 
far better to tell them directly.
Comment 163 Neill Mitchell 2010-09-21 12:42:13 UTC
Created attachment 51853 [details]
New crash information added by DrKonqi

dolphin (1.5) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:

I was browsing a folder on local disk. Folder contained PNG and .css files. Happens every single time.

-- Backtrace (Reduced):
#6  _dbus_connection_lock (connection=0x640069006c0061) at dbus-connection.c:355
#7  0x00007fa4d74474cd in _dbus_pending_call_get_connection_and_lock (pending=0x7fa4c8008e00) at dbus-pending-call.c:307
#8  0x00007fa4d74394be in reply_handler_timeout (data=0x640069006c0061) at dbus-connection.c:3163
#9  0x00007fa4df06c453 in q_dbus_timeout_handle (this=0x1976ae0, e=<value optimized out>) at qdbus_symbols_p.h:174
#10 QDBusConnectionPrivate::timerEvent (this=0x1976ae0, e=<value optimized out>) at qdbusintegrator.cpp:1050
Comment 164 Raphael Kubo da Costa 2010-09-27 18:23:04 UTC
*** Bug 250704 has been marked as a duplicate of this bug. ***
Comment 165 Neill Mitchell 2010-09-27 19:07:14 UTC
Updating to dbus v1.4 from Ubuntu ppa:aleksander-m/dbus-development sorted this for me.

In fact, it has transformed my system. Everything is so much quicker and Dolphin can now browse my NAS drive in a flash. Pauses with Dolphin of >30 seconds and crashes were driving me mad before. It was unusable.

I am amazed that Ubuntu is still shipping dbus 1.2 for Lucid 10.04 and the upcoming Maverick 10.10. Lobby them hard to get 1.4 in. Otherwise we'll see the same old "KDE is crap compared to Gnome" gripes.
Comment 166 Michał D. (Emdek) 2010-09-27 19:33:34 UTC
(In reply to comment #165)
> Updating to dbus v1.4 from Ubuntu ppa:aleksander-m/dbus-development sorted this
> for me.

I can confirm that upgrading to DBus 1.4 solves issue (Mandriva 2011.0 - cooker).
Comment 167 Andrey Shelyapin 2010-09-29 03:17:32 UTC
Created attachment 52064 [details]
New crash information added by DrKonqi

dolphin (1.5) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:
Nothing related to Dolphin (browsing with Firefox or Thunderbird, listening to with Amarok, etc).
Or working with Dolphin: copying file from archive (or browsing), changing directory, etc.

- Unusual behavior I noticed:
Just a few applications crashed: KDE desktop itself, Amarok, Dolphin (after I have switched to Krusader and Songbird, just occasional desktop crashes happen, approximately one per week).

Dolphin 1.5
KDE 4.5.1-179.1, D-Bus 1.2.24-1.18, Qt 4.7.0-134.1
Linux kernel 2.6.34-12.3, openSUSE 11.3 (updated from 11.2)

-- Backtrace (Reduced):
#7  _dbus_connection_lock (connection=0x410) at dbus-connection.c:355
#8  0xb5907985 in _dbus_pending_call_get_connection_and_lock (pending=0xaf766f00) at dbus-pending-call.c:307
#9  0xb58f82d6 in reply_handler_timeout (data=0xaf766f00) at dbus-connection.c:3163
#10 0xb590cb90 in dbus_timeout_handle (timeout=0xaf748bf8) at dbus-timeout.c:473
[...]
#12 0xb6daf4e4 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
Comment 168 fsanchez 2010-10-12 21:57:31 UTC
(In reply to comment #165)
> Updating to dbus v1.4 from Ubuntu ppa:aleksander-m/dbus-development sorted this
> for me.
> 
> In fact, it has transformed my system. Everything is so much quicker and
> Dolphin can now browse my NAS drive in a flash. Pauses with Dolphin of >30
> seconds and crashes were driving me mad before. It was unusable.
> 
> I am amazed that Ubuntu is still shipping dbus 1.2 for Lucid 10.04 and the
> upcoming Maverick 10.10. Lobby them hard to get 1.4 in. Otherwise we'll see the
> same old "KDE is crap compared to Gnome" gripes.

Thank you very much :)
Comment 169 Christoph Feck 2010-11-14 10:02:29 UTC
*** Bug 256871 has been marked as a duplicate of this bug. ***
Comment 170 Dario Andres 2010-11-20 15:55:18 UTC
[Comment from a bug triager]
There are already several people saying that DBus 1.3.1 or 1.4.0 fixed this issue for them. Should we consider this as fixed by those new DBus versions and properly close the report as UPSTREAM ? 
Bug 241594 (krunner being affected by the same libdbus crash) was already closed because of this.
Regards
Comment 171 Peter Penz 2010-11-20 16:03:24 UTC
@Dario: You are right, lets close this as UPSTREAM.
Comment 172 kranthi 2010-11-21 17:06:25 UTC
Created attachment 53612 [details]
New crash information added by DrKonqi

I Just shifted to okular from dolphin and dolphin crashed.
Comment 173 Bobby 2010-11-23 10:38:25 UTC
Am Sonntag 21 November 2010, 17:06:37 schrieb kranthi:
> https://bugs.kde.org/show_bug.cgi?id=208921
> 
> 
> 
> 
> 
> --- Comment #172 from kranthi <kranthi t2000 gmail com>  2010-11-21
> 17:06:25 --- Created an attachment (id=53612)
>  --> (http://bugs.kde.org/attachment.cgi?id=53612)
> New crash information added by DrKonqi
> 
> I Just shifted to okular from dolphin and dolphin crashed.

I have another problem which I had before and that's with scrolling. If I am 
viewing files in Dolphin that are at the bottom as soon as I reach the bottom 
of the window and try to click on the file the scroll bar springs back to the 
top. That makes it a catch me if you can game to access the files at the 
bottom of the window. This definitely needs to get fixed.
Comment 174 S. Burmeister 2010-11-23 11:01:31 UTC
(In reply to comment #173)
> I have another problem which I had before and that's with scrolling. If I am 
> viewing files in Dolphin that are at the bottom as soon as I reach the bottom 
> of the window and try to click on the file the scroll bar springs back to the 
> top. That makes it a catch me if you can game to access the files at the 
> bottom of the window. This definitely needs to get fixed.

One issue per report, so you should file another one for that issue rather than put it into a report that relates to dolphin crashing.
Comment 175 Bobby 2010-11-24 12:23:10 UTC
Am Dienstag 23 November 2010, 11:01:32 schrieb S. Burmeister:
> https://bugs.kde.org/show_bug.cgi?id=208921
> 
> 
> 
> 
> 
> --- Comment #174 from S. Burmeister <sven burmeister gmx net>  2010-11-23
> 11:01:31 --- (In reply to comment #173)
> 
> > I have another problem which I had before and that's with scrolling. If I
> > am viewing files in Dolphin that are at the bottom as soon as I reach
> > the bottom of the window and try to click on the file the scroll bar
> > springs back to the top. That makes it a catch me if you can game to
> > access the files at the bottom of the window. This definitely needs to
> > get fixed.
> 
> One issue per report, so you should file another one for that issue rather
> than put it into a report that relates to dolphin crashing.
OK Sir
Comment 176 Nick Shaforostoff 2010-11-26 17:12:12 UTC
*** Bug 252287 has been marked as a duplicate of this bug. ***
Comment 177 Christoph Feck 2010-11-28 02:20:11 UTC
*** Bug 258132 has been marked as a duplicate of this bug. ***
Comment 178 Peter Penz 2011-05-15 23:29:08 UTC
*** Bug 273370 has been marked as a duplicate of this bug. ***
Comment 179 Peter Penz 2011-05-16 16:37:08 UTC
*** Bug 273400 has been marked as a duplicate of this bug. ***
Comment 180 Jekyll Wu 2011-09-22 11:20:17 UTC
*** Bug 274443 has been marked as a duplicate of this bug. ***
Comment 181 Jekyll Wu 2011-09-22 12:14:00 UTC
*** Bug 258450 has been marked as a duplicate of this bug. ***